Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# HashtableWOnulls< T > Class Template Reference
[Common interfaces]

Inheritance diagram for HashtableWOnulls< T >:

## Detailed Description

### template<class T>
class HashtableWOnulls< T >

Hashtable template class, stores structured objects.

Assumes, that stored objects can not be null (complex objects).

## Public Methods

| HashtableWOnulls (int capacity, double loadFactor=DEFAULT_LOAD_FACTOR)
const T * | get (const String *key) const
T * | enumerate () const
| Starts internal hashtable enumeration procedure.
T * | next () const
| Returns the next value object with current enumeration procedure.

## Member Function Documentation

template<class T>
T* HashtableWOnulls< T >::enumerate | ( |  | ) | const`[inline]`

| Starts internal hashtable enumeration procedure. Returns first element value in a sequence, or null, if hashtable is empty

template<class T>
T* HashtableWOnulls< T >::next | ( |  | ) | const`[inline]`

| Returns the next value object with current enumeration procedure. If hashtable state is changed, and next() call occurs, exception is thrown.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.